<ui:composition xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:rich="http://richfaces.org/rich"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <h1>#{messages['net.ihe.gazelle.transformation.DFDLSchemas']}</h1>
        <h:form id="globalForm">
            <s:div id="globalDiv">
                <p>
                    <a4j:commandButton styleClass="gzl-btn-green" value="#{messages['net.ihe.gazelle.transformation.NewDFDLSchema']}"
                                       action="/schema/create.seam" rendered="#{s:hasRole('admin_role')}"
                                       render="globalDiv, editDfdlFilePanel"/>
                    <a4j:commandButton styleClass="gzl-btn-blue" actionListener="#{dfdlSchemaManager.updateDfdlFilesVersion()}"
                                       value="#{messages['net.ihe.gazelle.transformation.UpdateDFDLSchemasVersion']}"
                                       title="#{messages['net.ihe.gazelle.transformation.UpdateSchemasVersionAccordingToDFDLFilesSubversi']}"
                                       rendered="#{s:hasRole('admin_role')}" render="globalDiv"/>
                </p>
                <ui:decorate template="/layout/panels/_panel_filter_criteria.xhtml">
                    <div class="form-horizontal">
                        <div class="row">
                            <div class="col-md-6">
                                <ui:include src="/filter/filter.xhtml">
                                    <ui:param name="filter" value="#{dfdlSchemaManager.filter}"/>
                                    <ui:param name="filterId" value="objectType"/>
                                    <ui:param name="filterName" value="#{messages['net.ihe.gazelle.transformation.ObjectType']}"/>
                                    <ui:param name="filterForm" value="globalDiv"/>
                                </ui:include>
                                <ui:include src="/filter/filter.xhtml">
                                    <ui:param name="filter" value="#{dfdlSchemaManager.filter}"/>
                                    <ui:param name="filterId" value="available"/>
                                    <ui:param name="filterName" value="#{messages['net.ihe.gazelle.transformation.Available']}"/>
                                    <ui:param name="filterForm" value="globalDiv"/>
                                </ui:include>
                            </div>
                            <div class="col-md-6">
                                <ui:include src="/filter/filterDate.xhtml">
                                    <ui:param name="filter" value="#{dfdlSchemaManager.filter}"/>
                                    <ui:param name="filterId" value="lastChanged"/>
                                    <ui:param name="filterName" value="#{messages['net.ihe.gazelle.transformation.LastChanged']}"/>
                                    <ui:param name="filterForm" value="globalDiv"/>
                                </ui:include>
                            </div>
                        </div>
                    </div>
                </ui:decorate>

                <rich:dataTable id="dfdlFileListTable"
                                value="#{dfdlSchemaManager.getAllDfdlFiles()}" var="currentDfdlSchema"
                                rows="#{dataScrollerMemory.numberOfResultsPerPage}">
                    <g:column id="KeywordColumn" sortBy="#{'keyword'}" sortOrder="ascending"
                              filterBy="#{'keyword'}">
                        <ui:define name="header">#{messages['net.ihe.gazelle.transformation.Keyword']}
                        </ui:define>
                        #{currentDfdlSchema.keyword}
                    </g:column>
                    <g:column id="NameColumn" sortBy="#{'name'}" sortOrder="ascending"
                              filterBy="#{'name'}">
                        <ui:define name="header">#{messages['net.ihe.gazelle.transformation.Name']}</ui:define>
                        #{currentDfdlSchema.name}
                    </g:column>
                    <g:column id="VersionColumn" sortBy="#{'version'}" sortOrder="ascending"
                              filterBy="#{'version'}">
                        <ui:define name="header">#{messages['net.ihe.gazelle.transformation.Version']}
                        </ui:define>
                        #{currentDfdlSchema.version}
                    </g:column>
                    <g:column id="LastChangedColumn" sortBy="#{'lastChanged'}" sortOrder="ascending">
                        <ui:define name="header">
                            #{messages['net.ihe.gazelle.transformation.LastChanged']}
                        </ui:define>
                        #{currentDfdlSchema.lastChanged}
                    </g:column>
                    <g:column id="PathColumn" width="150px" sortBy="#{'path'}" sortOrder="ascending"
                              filterBy="#{'path'}">
                        <ui:define name="header">#{messages['net.ihe.gazelle.transformation.DfdlFile']}
                        </ui:define>
                        #{currentDfdlSchema.path}
                    </g:column>
                    <g:column id="ObjectTypeColumn">
                        <ui:define name="header">#{messages['net.ihe.gazelle.transformation.ObjectType']}
                        </ui:define>
                        #{currentDfdlSchema.objectType.name}
                    </g:column>
                    <g:column id="AvailableColumn" sortBy="#{'available'}" sortOrder="ascending">
                        <ui:define name="header">#{messages['net.ihe.gazelle.transformation.Available']}
                        </ui:define>
                        <h:outputText id="availableTrue" style="color:green;"
                                      rendered="#{currentDfdlSchema.available == true}"
                                      value="#{messages['net.ihe.gazelle.transformation.Yes']}"/>
                        <h:outputText id="availableFalse" style="color:red;"
                                      rendered="#{currentDfdlSchema.available != true}"
                                      value="#{messages['net.ihe.gazelle.transformation.No']}"/>
                    </g:column>

                    <g:column id="actionColumn">
                        <ui:define name="header">#{messages['net.ihe.gazelle.transformation.Action']}
                            <h:panelGroup rendered="#{s:hasRole('admin_role')}">
                                <a4j:commandLink
                                        title="#{messages['net.ihe.gazelle.transformation.CompileAvailableSchemas']}"
                                        action="#{dfdlSchemaManager.compileAvailableDfdlSchemas()}"
                                        render="globalDiv">
                                    <span class="gzl-icon-play"></span>
                                </a4j:commandLink>
                            </h:panelGroup>
                        </ui:define>
                        <div class="gzl-never-wrap">
                            <a4j:commandLink
                                    action="#{dfdlSchemaManager.displayDfdlFile(currentDfdlSchema)}"
                                    title="#{messages['net.ihe.gazelle.transformation.View']}">
                                <span class="gzl-icon-search"></span>
                            </a4j:commandLink>
                            <h:panelGroup rendered="#{s:hasRole('admin_role')}">
                                <a4j:commandLink
                                        action="#{dfdlSchemaManager.editDfdlFile(currentDfdlSchema)}"
                                        title="#{messages['net.ihe.gazelle.transformation.Edit']}">
                                    <span class="gzl-icon-pencil"></span>
                                </a4j:commandLink>

                                <a4j:commandLink
                                        action="#{dfdlSchemaManager.copyDfdlFile(currentDfdlSchema)}"
                                        render="globalDiv"
                                        title="#{messages['net.ihe.gazelle.transformation.Duplicate']}">
                                    <span class="gzl-icon-files-o"></span>
                                </a4j:commandLink>

                                <a4j:commandLink id="deleteActionButton"
                                                 title="#{messages['net.ihe.gazelle.transformation.Delete']}"
                                                 render="deleteTextDiv"
                                                 action="#{dfdlSchemaManager.setSelectedDfdlSchema(currentDfdlSchema)}"
                                                 oncomplete="jq162('#deleteDfdlFilePopup').modal('show');">
                                    <span class="gzl-icon-trash-o"></span>
                                </a4j:commandLink>
                                <a4j:commandLink
                                        title="#{messages['net.ihe.gazelle.transformation.Compile']}"
                                        action="#{dfdlSchemaManager.compileDfdlSchema(currentDfdlSchema)}"
                                        render="globalDiv" rendered="#{currentDfdlSchema.path.length() &gt; 0 }">
                                    <span class="gzl-icon-play"></span>
                                </a4j:commandLink>

                            </h:panelGroup>
                        </div>
                    </g:column>

                    <f:facet name="footer">
                        <ui:include src="/util/datatableFooter.xhtml">
                            <ui:param name="dataScrollerId" value="ds"/>
                            <ui:param name="dataTableId" value="dfdlFileListTable"/>
                        </ui:include>
                    </f:facet>
                </rich:dataTable>
            </s:div>

            <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
                <ui:param name="popup_id" value="deleteDfdlFilePopup"/>
                <ui:param name="styleClass" value="modal-sm"/>
                <ui:param name="headerStyleClass" value="gzl-text-red"/>
                <ui:define name="popup_title">
                    <span class="fa fa-exclamation-triangle"></span>
                    <h:outputText value="#{messages['net.ihe.gazelle.transformation.DeleteDFDLSchema']}"/>
                </ui:define>
                <ui:param name="bodyStyleClass" value="bg-warning"/>
                <s:div id="deleteTextDiv">
                    <p>
                        <h:outputText
                                value="#{messages['net.ihe.gazelle.transformation.YouAreAboutToDeleteTheDFDLSchema']} '#{dfdlSchemaManager.selectedDfdlSchema.keyword}'"/>
                    </p>
                    <p>
                        <h:outputText value="#{messages['net.ihe.gazelle.transformation.ThisCannotBeUndone']}"/>
                    </p>
                </s:div>
                <ui:define name="popup_footer">
                    <a4j:commandButton value="#{messages['net.ihe.gazelle.transformation.Delete']}"
                                       title="#{messages['net.ihe.gazelle.transformation.Delete']}"
                                       action="#{dfdlSchemaManager.deleteSelectedDfdlFile()}"
                                       oncomplete="jq162('#deleteDfdlFilePopup').modal('hide');"
                                       render="globalDiv"
                                       styleClass="gzl-btn-red"/>
                    <a4j:commandButton value="#{messages['net.ihe.gazelle.transformation.Cancel']}"
                                       styleClass="gzl-btn"
                                       oncomplete="jq162('#deleteDfdlFilePopup').modal('hide');"/>
                </ui:define>
            </ui:decorate>

        </h:form>
    </ui:define>
</ui:composition>
